Dim tool = new wxToolBar(myframe, -1) 
dim bitmap1 = new wxEmptyBitmap( 0, 0 ) 
bitmap1.LoadFile(RPath & "/" & "toolbar/document-open.sbi",wxBITMAP_TYPE_PNG)
dim button1tool = new wxBitmapButton(tool, -1, bitmap1, wxPoint(5,5), wxSize(-1,-1), wxNO_3D) 
button1tool.SetToolTip( "Abrir proyecto...")
dim bitmap2 = new wxEmptyBitmap( 0, 0 ) 
bitmap2.LoadFile(RPath & "/" & "toolbar/document-save.sbi",wxBITMAP_TYPE_PNG)
dim button2tool = new wxBitmapButton(tool, -1, bitmap2, wxPoint(27,5), wxSize(-1,-1), wxNO_3D) 
button2tool.SetToolTip("Guardar proyecto como...")
dim bitmap3 = new wxEmptyBitmap( 0, 0 ) 
bitmap3.LoadFile(RPath & "/" & "toolbar/document-save-as.sbi",wxBITMAP_TYPE_PNG)
dim button3tool = new wxBitmapButton(tool, -1, bitmap3, wxPoint(49,5), wxSize(-1,-1), wxNO_3D) 
button3tool.SetToolTip( "Guardar")
dim bitmap4 = new wxEmptyBitmap( 0, 0 ) 
bitmap4.LoadFile(RPath & "/" & "toolbar/separator.sbi",wxBITMAP_TYPE_PNG)
dim separator = new wxBitmapButton(tool, -1, bitmap4, wxPoint(68,5), wxSize(-1,-1), wxNO_3D) 
dim bitmap5 = new wxEmptyBitmap( 0, 0 ) 
bitmap5.LoadFile(RPath & "/" & "toolbar/utilities-terminal.sbi",wxBITMAP_TYPE_PNG)
dim button4tool = new wxBitmapButton(tool, -1, bitmap5, wxPoint(75,5), wxSize(-1,-1), wxNO_3D) 
button4tool.SetToolTip( "BasicMode")
dim bitmap6 = new wxEmptyBitmap( 0, 0 ) 
bitmap6.LoadFile(RPath & "/" & "toolbar/accessories-calculator.sbi",wxBITMAP_TYPE_PNG)
dim button5tool = new wxBitmapButton(tool, -1, bitmap6, wxPoint(96,5), wxSize(-1,-1), wxNO_3D) 
button5tool.SetToolTip( "Calculadora")
dim bitmap7 = new wxEmptyBitmap( 0, 0 ) 
bitmap7.LoadFile(RPath & "/" & "toolbar/help-browser.sbi",wxBITMAP_TYPE_PNG)
dim button6tool = new wxBitmapButton(tool, -1, bitmap7, wxPoint(117,5), wxSize(-1,-1), wxNO_3D) 
button6tool.SetToolTip( "Ayuda")
dim separator1 = new wxBitmapButton(tool, -1, bitmap4, wxPoint(137,5), wxSize(-1,-1), wxNO_3D) 

Sub openTOOL( event ) 
wxMessageBox("Solo para [Modo Experto]\nNo disponible en esta versión.")
End Sub 

Sub SaveTOOL( event ) 
   If Enablek = 0 then
   wxMessageBox("Solo para [Modo Experto]\nNo disponible en esta versión.")
   End If
   If Enablek = 1 then
   End If 
End Sub 

Sub SaveasTOOL( event ) 
   If Enablek = 0 then
   wxMessageBox("Solo para [Modo Experto]\nNo disponible en esta versión.")
   End If
   If Enablek = 1 then
   End If 
End Sub

Sub BasicModetool (event)
myChildFrame1.show(TRUE)
End Sub

Sub calcTOOL (event)
framecalc.show(TRUE)
End Sub


Sub helpTOOL (event)
Dim helpFile = Command(3)
If helpFile = "" Then helpFile = "./repBin/Help.htb"
Dim hc = New wxHtmlHelpController(wxHF_FLAT_TOOLBAR | wxHF_CONTENTS | wxHF_INDEX | wxHF_SEARCH | wxHF_BOOKMARKS | wxHF_PRINT | wxHF_ICONS_BOOK )
If hc.AddBook(helpFile, False) Then hc.DisplayContents()
End Sub 

Connect( button1tool, wxEVT_COMMAND_BUTTON_CLICKED, "openTOOL" )
Connect( button2tool, wxEVT_COMMAND_BUTTON_CLICKED, "SaveTOOL" )
Connect( button3tool, wxEVT_COMMAND_BUTTON_CLICKED, "SaveasTOOL" )
Connect( button4tool, wxEVT_COMMAND_BUTTON_CLICKED, "BasicModetool" )
Connect( button5tool, wxEVT_COMMAND_BUTTON_CLICKED, "calcTOOL" )
Connect( button6tool, wxEVT_COMMAND_BUTTON_CLICKED, "helpTOOL" )

myFrame.SetToolBar(tool)
tool.Show(TRUE)